Name:		telepathy-haze
Version:	0.2.1
Release:	1%{?dist}
Summary:	A multi-protocol Libpurple connection manager for Telepathy

Group:		Applications/Communications
License:	GPLv2+
URL:		http://developer.pidgin.im/wiki/Telepathy

Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
## Enables mission-control to use the AIM, MSN, and Yahoo! IM connection
## managers.
Source1:	haze-aim.profile
Source2:	haze-msn.profile
Source3:	haze-yahoo.profile
Source4:	haze-icq.profile

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libpurple-devel
BuildRequires:	telepathy-glib-devel
  
Requires:	telepathy-filesystem    

%description
telepathy-haze is a connection manager built around libpurple, the core of
Pidgin (formerly Gaim), as a Summer of Code project under the Pidgin umbrella.
Ultimately, any protocol supported by libpurple will be supported by
telepathy-haze; for now, XMPP, MSN and AIM are known to work acceptably, and
others will probably work too.


%package	mission-control
Summary:	Mission Control support for Haze
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	telepathy-mission-control
Requires:	gnome-icon-theme

%description	mission-control
This package adds Haze connection manager support to the Mission Control
management framework for Telepathy. This currently only provides rudimentary
support for the AIM, MSN, and Yahoo! protocols, as many others are already
implemented via various other projects; though increased protocol support for
others that Libpurple supports is planned for future releases. This is useful
for applications such as Empathy that use Mission Control for their Telepathy
management.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
## Install the profile and icon for Mission Control support
## (e.g., for Empathy and others)
install -m 0755 -d %{buildroot}%{_datadir}/mission-control/profiles
install -p -m 0644 -t %{buildroot}%{_datadir}/mission-control/profiles %{SOURCE1}
install -p -m 0644 -t %{buildroot}%{_datadir}/mission-control/profiles %{SOURCE2}
install -p -m 0644 -t %{buildroot}%{_datadir}/mission-control/profiles %{SOURCE3}
install -p -m 0644 -t %{buildroot}%{_datadir}/mission-control/profiles %{SOURCE4}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libexecdir}/telepathy-haze
%{_datadir}/dbus-1/services/*.haze.service
%{_datadir}/telepathy/managers/haze.manager
%{_mandir}/man8/telepathy-haze.8*

%files	mission-control
%defattr(-,root,root,-)
%doc COPYING
%{_datadir}/mission-control/profiles/haze-aim.profile
%{_datadir}/mission-control/profiles/haze-icq.profile
%{_datadir}/mission-control/profiles/haze-msn.profile
%{_datadir}/mission-control/profiles/haze-yahoo.profile


%changelog
* Fri Oct 10 2008 Peter Gordon <peter@thecodergeek.com> - 0.2.1-1
- Update to new upstream release (0.2.1)
- Fix the ICQ Mission Control profile to properly use the "icq" configuration
  UI, rather than the one for jabber.
- Resolves: bug #456565 (Wrong entry in haze-icq.profile)
- Drop unused apostrophe-escaping path for Yahoo! (fixed upstream):
  - fix-yahoo-apostrophe-escaping.patch

* Sat Mar 01 2008 Peter Gordon <peter@thecodergeek.com> - 0.2.0-1
- Update to new upstream release (0.2.0)
- Add ICQ Mission-Control profile.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.4-3
- Autorebuild for GCC 4.3

* Sun Dec 16 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.4-2
- Add patch from upstream Darcs to fix bug 425870 (bad apostrophe escaping with
  Yahoo! messages).
  + fix-yahoo-apostrophe-escaping.patch

* Thu Nov 22 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.4-1
- Update to new upstream build-fix release (0.1.4).
- Add Yahoo! IM support to the mission-control profiles, with default
  login/server information taken from Pidgin/Finch.

* Wed Nov 14 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.3-1
- Update to new upstream release (0.1.3), which fixes the accidental
  ~/.purple directory deletion with Pidgin 2.3.0+ (among other notable fixes
  and enhancements).
- Drop compile fix with recent telepathy-glib releases (fixed upstream):
  - fix-deprecated-tp_debug-call.patch

* Tue Nov 13 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.2-4
- Add patch to fix build error due to calling deprecated
  tp_debug_set_flags_from_env function.
  + fix-deprecated-tp_debug-call.patch

* Sun Nov 11 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.2-3
- Fix Source0 URL.

* Thu Nov 01 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.2-2
- Add haze-msn.profile (based on the profile provided by the PyMSN-based
  Butterfly connection manager) so that MC-using applications (such as
  Empathy) can use the libpurple-based MSN connection manager instead of
  Butterfly, at the user's option. 
  
* Sun Sep 16 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.2-1
- Update to new upstream release (0.1.2), which fixes sending messages with
  <, >, and & characters and properly cleans up zombie children.   

* Fri Aug 17 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.1-1
- Update to new upstream release (0.1.1), which fixes segfaults when closing
  text and list channels, and some potential g_free corruptions.
- Sync %%description with upstream release announcements.

* Mon Aug 13 2007 Peter Gordon <peter@thecodergeek.com> - 0.1.0-1
- Initial packaging for Fedora.

